@import '../../variables.scss';

.head {
  margin-bottom: 30px;
  display: flex;
  justify-content: space-between;
}

.chart {
  flex-grow: 1;
  background-color: $grayF;

  svg {
    max-width: 100%;
  }
}

.mainBody,
.mainBottom {
  display: flex;
  align-items: flex-start;
  gap: 32px;
}

.mainBody {
  padding-bottom: 32px
}

.mainBodyCol {
  display: flex;
  flex-direction: column;
  gap: 32px;
  min-width: 296px;
  width: 296px;
}

.day,
.tomato {
  background-color: $grayF;
  padding: 24px
}

.day {
  height: 260px;

  h2 {
    font-weight: 700;
    font-size: 24px;
    line-height: 33px;
    margin-bottom: 14px;
  }

  span {
    color: $red;
    font-weight: 700;
  }
}

.bottomBlock {
  width: calc(100%/3);
  padding: 24px;

  &.isOrange {
    background-color: $orangeLight;

    svg {
      color: $orange
    }
  }

  &.isPurple {
    background-color: $purpleLight;

    svg {
      color: $purple
    }
  }

  &.isBlue {
    background-color: $blueLight;

    svg {
      color: $blue
    }
  }

  &.isEmpty {
    background-color: $grayF !important;

    svg {
      color: $grayC
    }
  }
}

.bottomBlockRow {
  display: flex;
  justify-content: space-between;
}

.bottomBlockInfo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.bottomBlockTitle {
  font-weight: 700;
  font-size: 24px;
  line-height: 33px;
}

.bottomBlockNum {
  font-size: 64px;
  line-height: 76px;
}

.tomato {
  height: 186px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: 24px;
  line-height: 33px;
  font-weight: 700;
}

.tomatoMain {
  color: $gray9;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-grow: 1;

  span {
    margin-left: 12px;
  }
}

.tomatoBottom {
  height: 51px;
  margin: 0 -24px -24px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: $red;
  color: #fff;
}

.select {
  max-width: 370px;
  flex-grow: 1;
  margin-left: 16px;
}